Subject: bug#21162: adapting octave-inf.el to Octave 4

From: Francesco Potortì <[email-masked]>
Date: Thu, 06 Aug 2015 15:15:37 +0200

Francesco Potortì:
>> --no-line-editing serves no apparent purpose (any more?) and prevents an
>> inferior Octave process from using readline features, like getting the
>> terminal width and other functions used for the FLTK graphical backend.

Glen Morris:
>vc-annotate is your friend, and shows that this was added in:
>
>commit 48495f0fd6afc6aa45f87116552629df39268336
>Author: Stephen Eglen <[email-masked]>
>Date:   Mon Sep 6 19:20:29 1999 +0000
>
>    add --no-line-editing to inferior-octave-startup-args so that TABs
>    in source files are not interpreted as completion requests.

Hm.  Thanks, Glenn.  I see now that I had not checked that corner case.
I'll bring this up with Octave developers and look for a solution.